{
  "name": "functions",
  "scripts": {
    "lint": "eslint",
    "build": "tsc",
    "build:watch": "tsc --watch",
    "serve": "npm run build && firebase emulators:start --only functions",
    "shell": "npm run build && firebase functions:shell",
    "start": "npm run shell",
    "deploy": "firebase deploy --only functions",
    "logs": "firebase functions:log"
  },
  "engines": {
    "node": "22"
  },
  "main": "lib/index.js",
  "dependencies": {
    "firebase-admin": "^13.3.0",
    "firebase-functions": "^6.3.2"
  },
  "devDependencies": {
    "@eslint/js": "^9.26.0",
    "@types/cookie": "^0.6.0",
    "@typescript-eslint/parser": "^8.32.0",
    "eslint-config-prettier": "^10.1.3",
    "eslint-plugin-import": "^2.31.0",
    "firebase-functions-test": "^3.1.0",
    "globals": "^16.1.0",
    "prettier": "3.5.3",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.32.0"
  },
  "private": true
}
